Status: Closed

Priority: Low

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15997

Description

In the "automated placement settings" of the new labelling system, it seems* that at least for point layers, the "Number of candidates"

setting is only applied in the main map canvas, not in composer maps.

I have tested with 1.8 and a version of master that is a couple of weeks old (45a933a).  I can't test the latest master at the moment as I am

kind of cut off from the world.

 * If the option "show candidates" is enabled, then the main map canvas shows the number of candidates that is specified, but composer

maps always show 8 candidates.

History

#1 - 2012-12-12 02:01 PM - Alister Hood

- Priority changed from Normal to Low

I'm setting the "priority" to low because I think the "automated placement settings" aren't really expected to be used by end users.

Note that there are some other issues with the "automated placement settings", for example

- If "show candidates" is enabled, then the candidates are shown in the composer, but are not printed.  Is this a deliberate design decision?

- The labelling of the different search methods seems unclear:

Chain (fast)

Popmusic Tabu

Popmusic Chain

Popmusic Tabu Chain

FALP (fastest)

Is this an ordered list, so the "fast" chain method is really the slowest method?  Or are the three Popmusic methods slower than it?

#2 - 2013-06-17 08:17 PM - Alister Hood

that at least for point layers,

I just tested with current master and it occurs with polygon layers to.  I haven't bothered testing with polyline layers.

#3 - 2016-10-10 05:04 PM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed

Should not be an issue with current releases, please re-open if you can reproduce.
